<html>
        <script src="../js/angular.js"></script>    
<body>
 
    <form ng-app="" name="emailForm">
        Email:
        <input type="email" name="emailAddress" ng-model="text">
        <span ng-show="emailForm.emailAddress.$error.email">Not a valid Email Address</span>
    </form>
    <p>Enter your e-mail address in the input field.
AngularJS will display an errormessage if the address is not an e-mail.</p>
    </body>
</html>